org.apache.cassandra.metrics

## Class CommitLogMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.CommitLogMetrics

    public class CommitLogMetrics
    extends java.lang.Object

Metrics for commit log

### Field Summary

Fields
`com.yammer.metrics.core.Gauge<java.lang.Long>` `completedTasks` Number of completed tasks
`static MetricNameFactory` `factory`
`com.yammer.metrics.core.Gauge<java.lang.Long>` `pendingTasks` Number of pending tasks
`com.yammer.metrics.core.Gauge<java.lang.Long>` `totalCommitLogSize` Current size used by all the commit log segments

### Constructor Summary

Constructors
Constructor and Description
`CommitLogMetrics(ICommitLogExecutorService executor, CommitLogAllocator allocator)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### factory

    public static final MetricNameFactory factory

#### completedTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Long> completedTasks

Number of completed tasks

#### pendingTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Long> pendingTasks

Number of pending tasks

#### totalCommitLogSize

    public final com.yammer.metrics.core.Gauge<java.lang.Long> totalCommitLogSize

Current size used by all the commit log segments

### Constructor Detail

#### CommitLogMetrics

    public CommitLogMetrics(ICommitLogExecutorService executor,
                    CommitLogAllocator allocator)